
reset(arg) {
   if (arg) {
      return;
   }
   set_light(1);
}


long() {
   write("A skeletal workroom.  Come visit my house instead.\n");
   write("Obvious exits: metahouse.\n");
}


init() {
   add_action("metahouse", "metahouse");
}


metahouse(str) {
   object house;
   object master;

   house = "/players/metaprat/houses/master_house"->query_house("metaprat");
   master = find_object("/players/metaprat/houses/master_house");
   if (!house) {
      if (!master->query_house_exists("metaprat")) {
         /* First time anyone has entered, so make sure it exists as far  */
         /* as master_house is concerned.  Don't do this for anyone elses */
         /* houses, since they're registered by the estate agent, and     */
         /* also when they restore from NEW_OWNER.o for the first time.   */
         master->register_new_house("metaprat");
         master->register_public_house("metaprat");
      }
      house = clone_object("/players/metaprat/houses/house");
      house->set_owner("metaprat");
      house->restore_stats("metaprat");
   }
   this_player()->move_player(query_verb() + "#" + file_name(house));
   return 1;
}

